Subject: Error in previous patch for Virtual Domains

From: "Marc G. Fournier" <[email-masked]>
Date: Wed, 7 Feb 1996 20:15:38 -0500 (EST)

Hi...

	I made a slight error in the last patch I sent out, for the
Virtual Domains.  This patch fixes it, and the complete patch is at:

	http://www.ki.net/rtfm/softdocs/wu-ftpd

	The problem was that instead of doing a "C" if statement for
the xferlog, I did a pre-procesor "#if" statement :(  

Sorry about the error...

*** ftpd.c.orig Wed Feb  7 20:08:03 1996
--- ftpd.c      Wed Feb  7 20:08:23 1996
***************
*** 1175,1185 ****
  
      /* if logging is enabled, open logfile before chroot */
      if (log_outbound_xfers || log_incoming_xfers)
! #ifdef VIRTUAL
          xferlog = open(virtual_logfile, O_WRONLY | O_APPEND | O_CREAT, 0660);
! #else
          xferlog = open(_PATH_XFERLOG, O_WRONLY | O_APPEND | O_CREAT, 0660);
- #endif
  
      expand_id();
  
--- 1175,1184 ----
  
      /* if logging is enabled, open logfile before chroot */
      if (log_outbound_xfers || log_incoming_xfers)
!     if(virtual_mode)
          xferlog = open(virtual_logfile, O_WRONLY | O_APPEND | O_CREAT, 0660);
!     else
          xferlog = open(_PATH_XFERLOG, O_WRONLY | O_APPEND | O_CREAT, 0660);
  
      expand_id();

Marc G. Fournier | POP Mail  Telnet Acct  DNS Hosting
System           |  WWW Services   Database Services  | Knowledge, 
  Administrator  |                                    | Information and
 [email-masked]  |      WWW: http://www.ki.net        | Communications, Inc